Subject: Re: [PATCH] Fix routing tables with id > 255 for legacy software

From: Patrick McHardy <[email-masked]>
Date: Wed, 04 Jun 2008 01:23:24 +0200

Patrick McHardy wrote:
> Krzysztof Oledzki wrote:
>>
>>> I'm neither opposed (as long as we don't add CONFIG options for
>>> this) nor in favour - people using fixed applications won't notice,
>>> and for other people it substitutes undesired behaviour by more
>>> predictable undesirable behaviour,
>>
>> Exactly,
>>
>>> which is at least no loss :)
>>
>> OK, so I assume it is a very weak ack-by? ;)
> 
> Its a Not-NACKed-by: Patrick McHardy <[email-masked]> :)

I'll upgrade that to a full ACK - the predictability allows
to use the new features in combination with legacy apps and
avoid any trouble if done carefully. There is some small risk
of new breakage, but things probably won't work as expected
anyway.

Thanks Krzysztof.